Deleted Added
full compact
02.sh (281414) 02.sh (288680)
1#!/bin/sh
2#
3# Copyright (c) 2008, 2009 Edward Tomasz Napiera��a <trasz@FreeBSD.org>
4# All rights reserved.
5#
6# Redistribution and use in source and binary forms, with or without
7# modification, are permitted provided that the following conditions
8# are met:

--- 10 unchanged lines hidden (view full) ---

19# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
20# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
21# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
22# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
23# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
24# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
25# SUCH DAMAGE.
26#
1#!/bin/sh
2#
3# Copyright (c) 2008, 2009 Edward Tomasz Napiera��a <trasz@FreeBSD.org>
4# All rights reserved.
5#
6# Redistribution and use in source and binary forms, with or without
7# modification, are permitted provided that the following conditions
8# are met:

--- 10 unchanged lines hidden (view full) ---

19# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
20# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
21# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
22# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
23# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
24# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
25# SUCH DAMAGE.
26#
27# $FreeBSD: user/ngie/more-tests/tools/regression/acltools/02.t 219270 2011-03-04 18:46:19Z trasz $
27# $FreeBSD: user/ngie/more-tests/tests/sys/acl/02.sh 288680 2015-10-05 00:55:16Z ngie $
28#
29
30# This is a wrapper script to run tools-nfs4.test on UFS filesystem.
31#
32# If any of the tests fails, here is how to debug it: go to
33# the directory with problematic filesystem mounted on it,
34# and do /path/to/test run /path/to/test tools-nfs4.test, e.g.
35#
36# /usr/src/tools/regression/acltools/run /usr/src/tools/regression/acltools/tools-nfs4.test
37#
38# Output should be obvious.
39
28#
29
30# This is a wrapper script to run tools-nfs4.test on UFS filesystem.
31#
32# If any of the tests fails, here is how to debug it: go to
33# the directory with problematic filesystem mounted on it,
34# and do /path/to/test run /path/to/test tools-nfs4.test, e.g.
35#
36# /usr/src/tools/regression/acltools/run /usr/src/tools/regression/acltools/tools-nfs4.test
37#
38# Output should be obvious.
39
40echo "1..4"
41
42if [ `whoami` != "root" ]; then
43 echo "not ok 1 - you need to be root to run this test."
44 exit 1
40if [ $(sysctl -n kern.features.ufs_acl 2>/dev/null || echo 0) -eq 0 ]; then
41 echo "1..0 # SKIP system does not have UFS ACL support"
42 exit 0
45fi
43fi
44if [ $(id -u) -ne 0 ]; then
45 echo "1..0 # SKIP you must be root"
46 exit 0
47fi
46
48
49echo "1..4"
50
47TESTDIR=$(dirname $(realpath $0))
48
49# Set up the test filesystem.
50MD=`mdconfig -at swap -s 10m`
51MNT=`mktemp -dt acltools`
52newfs /dev/$MD > /dev/null
51TESTDIR=$(dirname $(realpath $0))
52
53# Set up the test filesystem.
54MD=`mdconfig -at swap -s 10m`
55MNT=`mktemp -dt acltools`
56newfs /dev/$MD > /dev/null
57trap "cd /; umount -f $MNT; rmdir $MNT; mdconfig -d -u $MD" EXIT
53mount -o nfsv4acls /dev/$MD $MNT
54if [ $? -ne 0 ]; then
55 echo "not ok 1 - mount failed."
58mount -o nfsv4acls /dev/$MD $MNT
59if [ $? -ne 0 ]; then
60 echo "not ok 1 - mount failed."
61 echo 'Bail out!'
56 exit 1
57fi
58
59echo "ok 1"
60
61cd $MNT
62
63# First, check whether we can crash the kernel by creating too many

--- 13 unchanged lines hidden (view full) ---

77
78if [ $? -eq 0 ]; then
79 echo "ok 3"
80else
81 echo "not ok 3"
82fi
83
84cd /
62 exit 1
63fi
64
65echo "ok 1"
66
67cd $MNT
68
69# First, check whether we can crash the kernel by creating too many

--- 13 unchanged lines hidden (view full) ---

83
84if [ $? -eq 0 ]; then
85 echo "ok 3"
86else
87 echo "not ok 3"
88fi
89
90cd /
85umount -f $MNT
86rmdir $MNT
87mdconfig -du $MD
88
89echo "ok 4"
90
91
92echo "ok 4"
93